### Class

# GtkListHeader

since: 4.12

#### Description [src]

    final class Gtk.ListHeader : GObject.Object
    {
      /* No available fields */
    }

`GtkListHeader` is used by list widgets to represent the headers they display.

`GtkListHeader` objects are managed just like `GtkListItem` objects via their factory, but provide a different set of properties suitable for managing the header instead of individual items.

Available since: 4.12

#### Hierarchy

#### Ancestors

- GObject

#### Instance methods

###### gtk_list_header_get_child

Gets the child previously set via `gtk_list_header_set_child()` or `NULL` if none was set.

since: 4.12

###### gtk_list_header_get_end

Gets the end position in the model of the section that `self` is currently the header for.

since: 4.12

###### gtk_list_header_get_item

Gets the model item at the start of the section. This is the item that occupies the list model at position `GtkListHeader:start`.

since: 4.12

###### gtk_list_header_get_n_items

Gets the the number of items in the section.

since: 4.12

###### gtk_list_header_get_start

Gets the start position in the model of the section that `self` is currently the header for.

since: 4.12

###### gtk_list_header_set_child

Sets the child to be used for this listitem.

since: 4.12

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gtk.ListHeader:child

Widget used for display.

since: 4.12

###### Gtk.ListHeader:end

The first position no longer part of this section.

since: 4.12

###### Gtk.ListHeader:item

The item at the start of the section.

since: 4.12

###### Gtk.ListHeader:n-items

Number of items in this section.

since: 4.12

###### Gtk.ListHeader:start

First position of items in this section.

since: 4.12

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GtkListHeaderClass {
      /* no available fields */
    }

No description available.